'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exit = exit;

var _nightingaleAppConsole = require('nightingale-app-console');

var _display = require('./display');

var _client = require('./client');

require('./cron');

var _forkServer = require('./fork-server');

function exit() {
  _nightingaleAppConsole.logger.warn('exiting...');
  Promise.all([_forkServer.childServer.kill(), (0, _display.stop)(), (0, _client.close)()]).then(() => {
    _nightingaleAppConsole.logger.warn('exit !');
    process.exit();
  });
}

process.on('SIGINT', () => {
  exit();
});
//# sourceMappingURL=index.js.map