'use strict';

require('nightingale-app-console');

var _alpNode = require('alp-node');

var _alpNode2 = _interopRequireDefault(_alpNode);

var _alpLimosa = require('alp-limosa');

var _alpLimosa2 = _interopRequireDefault(_alpLimosa);

var _alpBodyParser = require('alp-body-parser');

var _alpBodyParser2 = _interopRequireDefault(_alpBodyParser);

var _routerBuilder = require('./routerBuilder');

var _routerBuilder2 = _interopRequireDefault(_routerBuilder);

var _controllers = require('./modules/controllers');

var _controllers2 = _interopRequireDefault(_controllers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

if (!process.send) {
  // eslint-disable-next-line no-console
  console.log('Not forked.');
  process.exit(1);
}

const app = new _alpNode2.default();

// init / config
(0, _alpBodyParser2.default)(app);

app.catchErrors();
app.servePublic();
app.use((0, _alpLimosa2.default)(_routerBuilder2.default, _controllers2.default)(app));

app.start(_asyncToGenerator(function* () {
  yield app.listen();
}));
//# sourceMappingURL=index.js.map