'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ipc = require('./ipc');

exports.default = {
  getNetworkInterface: () => (0, _ipc.send)('getNetworkInterface'),
  getScreenInfo: () => (0, _ipc.send)('getScreenInfo'),
  setScreenOn: () => (0, _ipc.send)('setScreenOn'),
  setScreenOff: () => (0, _ipc.send)('setScreenOff'),

  selfUpdate: () => (0, _ipc.send)('selfUpdate'),

  getDisplayInfo: () => (0, _ipc.send)('getDisplayInfo'),
  startDisplay: () => (0, _ipc.send)('startDisplay'),
  restartDisplay: () => (0, _ipc.send)('restartDisplay'),
  stopDisplay: () => (0, _ipc.send)('stopDisplay'),
  refreshDisplay: () => (0, _ipc.send)('refreshDisplay'),
  setOpenboxStarted: () => (0, _ipc.send)('setOpenboxStarted')
};
//# sourceMappingURL=raspberryService.js.map