import argv from 'minimist-argv';

export const webPort = process.env.WEB_PORT || argv['web-port'] || 80;
export const serverPort = process.env.SERVER_PORT || argv.port;
export const serverHost = process.env.SERVER_HOST || argv.host;
export const userId = process.env.USER_ID || argv.userId;
export const piUser = process.env.PI_USER || argv.piUser || 'pi';

if (!serverHost) {
  // eslint-disable-next-line no-console
  console.log('WARNING: host is missing');
}

if (!userId) {
  // eslint-disable-next-line no-console
  console.log('WARNING: userId is missing');
}
